Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.design
Class JRDesignCrosstabRowGroup

    java.lang.Object
      net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup
          net.sf.jasperreports.crosstabs.design.JRDesignCrosstabGroup
              net.sf.jasperreports.crosstabs.design.JRDesignCrosstabRowGroup

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCrosstabGroup, JRCrosstabRowGroup, JRChangeEventsSupport, JRCloneable

    public class JRDesignCrosstabRowGroup

extends JRDesignCrosstabGroup
implements JRCrosstabRowGroup

Crosstab row group implementation to be used for report designing.

Version:
  $Id: JRDesignCrosstabRowGroup.java 3715 2010-04-08 18:08:49Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected CrosstabRowPositionEnum` | `positionValue`
`static java.lang.String` | `PROPERTY_POSITION`
`static java.lang.String` | `PROPERTY_WIDTH`
`protected int` | `width`

Fields inherited from class net.sf.jasperreports.crosstabs.design.JRDesignCrosstabGroup
`designVariable, parent, PROPERTY_BUCKET, PROPERTY_HEADER, PROPERTY_NAME, PROPERTY_TOTAL_HEADER, PROPERTY_TOTAL_POSITION`

Fields inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup
`bucket, header, name, totalHeader, totalPositionValue, variable`

Constructor Summary
`JRDesignCrosstabRowGroup()`

Method Summary
`byte` | `getPosition()` Deprecated. Replaced by `getPositionValue()`.
`CrosstabRowPositionEnum` | `getPositionValue()` Returns the position of the header contents for header stretching.
`int` | `getWidth()` Returns the width of the group headers.
`void` | `setHeader(JRDesignCellContents header)` Sets the group header cell.
`void` | `setPosition(byte position)` Deprecated. Replaced by `setPosition(CrosstabRowPositionEnum)`.
`void` | `setPosition(CrosstabRowPositionEnum positionValue)` Sets the header contents stretch position.
`void` | `setTotalHeader(JRDesignCellContents totalHeader)` Sets the group total header cell.
`void` | `setWidth(int width)` Sets the header cell width.

Methods inherited from class net.sf.jasperreports.crosstabs.design.JRDesignCrosstabGroup
`clone, clone, getEventSupport, getParent, setBucket, setCellOrigin, setName, setTotalPosition, setTotalPosition`

Methods inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup
`getBucket, getHeader, getName, getTotalHeader, getTotalPosition, getTotalPositionValue, getVariable, hasTotal`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.crosstabs.JRCrosstabGroup
`getBucket, getHeader, getName, getTotalHeader, getTotalPosition, getTotalPositionValue, getVariable, hasTotal`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### PROPERTY_POSITION

    public static final java.lang.String PROPERTY_POSITION

See Also:
  Constant Field Values

### PROPERTY_WIDTH

    public static final java.lang.String PROPERTY_WIDTH

See Also:
  Constant Field Values

### width

    protected int width

### positionValue

    protected CrosstabRowPositionEnum positionValue

Constructor Detail

### JRDesignCrosstabRowGroup

    public JRDesignCrosstabRowGroup()

Method Detail

### getPosition

    public byte getPosition()

  Deprecated. Replaced by `getPositionValue()`.

  Specified by:
    `getPosition` in interface `JRCrosstabRowGroup`

### getPositionValue

    public CrosstabRowPositionEnum getPositionValue()

  Description copied from interface: `JRCrosstabRowGroup`
  Returns the position of the header contents for header stretching.

  The row group headers stretch vertically when there are multiple sub group entries. The header contents will be adjusted to the new height depending on this attribute:

  - `CrosstabRowPositionEnum.TOP` - the contents will be rendered at the top of of the header
  - `CrosstabRowPositionEnum.MIDDLE` - the contents will be rendered on the center of the header
  - `JCrosstabRowPositionEnum.BOTTOM` - the contents will be rendered at the bottom of the header
  - `CrosstabRowPositionEnum.STRETCH` - the contents will be proportionally stretched to the new header size

  Specified by:
    `getPositionValue` in interface `JRCrosstabRowGroup`
  Returns:
    the position of the header contents for header stretching

### setPosition

    public void setPosition(byte position)

  Deprecated. Replaced by `setPosition(CrosstabRowPositionEnum)`.

### setPosition

    public void setPosition(CrosstabRowPositionEnum positionValue)

  Sets the header contents stretch position.

  Parameters:
    `positionValue` - the header contents stretch position
  See Also:
    `JRCrosstabRowGroup.getPositionValue()`

### getWidth

    public int getWidth()

  Description copied from interface: `JRCrosstabRowGroup`
  Returns the width of the group headers.

  Specified by:
    `getWidth` in interface `JRCrosstabRowGroup`
  Returns:
    the width of the group headers
  See Also:
    `JRCrosstabGroup.getHeader()`, `JRCrosstabGroup.getTotalHeader()`

### setWidth

    public void setWidth(int width)

  Sets the header cell width.

  Parameters:
    `width` - the width
  See Also:
    `JRCrosstabRowGroup.getWidth()`

### setHeader

    public void setHeader(JRDesignCellContents header)

  Description copied from class: `JRDesignCrosstabGroup`
  Sets the group header cell.

  Overrides:
    `setHeader` in class `JRDesignCrosstabGroup`
  Parameters:
    `header` - the header cell
  See Also:
    `JRCrosstabGroup.getHeader()`

### setTotalHeader

    public void setTotalHeader(JRDesignCellContents totalHeader)

  Description copied from class: `JRDesignCrosstabGroup`
  Sets the group total header cell.

  Overrides:
    `setTotalHeader` in class `JRDesignCrosstabGroup`
  Parameters:
    `totalHeader` - the total header
  See Also:
    `JRCrosstabGroup.getTotalHeader()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com